Package io.flutter.embedding.engine.systemchannels

# Class DeferredComponentChannel

java.lang.Object
io.flutter.embedding.engine.systemchannels.DeferredComponentChannel

public class DeferredComponentChannel extends Object
Method channel that handles manual installation requests and queries for installation state for deferred components.

This channel is able to handle multiple simultaneous installation requests

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeferredComponentChannel(DartExecutor dartExecutor)`
  Constructs a `DeferredComponentChannel` that connects Android to the Dart code running in `dartExecutor`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `completeInstallError(String componentName, String errorMessage)`
  Finishes the `installDeferredComponent` method channel call for the specified componentName with an error/failure.
  `void`
  `completeInstallSuccess(String componentName)`
  Finishes the `installDeferredComponent` method channel call for the specified componentName with a success.
  `void`
  `setDeferredComponentManager(io.flutter.embedding.engine.deferredcomponents.DeferredComponentManager deferredComponentManager)`
  Sets the DeferredComponentManager to exectue method channel calls with.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeferredComponentChannel

    public DeferredComponentChannel(@NonNull DartExecutor dartExecutor)
    Constructs a `DeferredComponentChannel` that connects Android to the Dart code running in `dartExecutor`.

    The given `dartExecutor` is permitted to be idle or executing code.

    See `DartExecutor`.

- ## Method Details

  - ### setDeferredComponentManager

    public void setDeferredComponentManager(@Nullable io.flutter.embedding.engine.deferredcomponents.DeferredComponentManager deferredComponentManager)
    Sets the DeferredComponentManager to exectue method channel calls with.
    Parameters:
      `deferredComponentManager` - the DeferredComponentManager to use.

  - ### completeInstallSuccess

    public void completeInstallSuccess(String componentName)
    Finishes the `installDeferredComponent` method channel call for the specified componentName with a success.
    Parameters:
      `componentName` - The name of the android deferred component install request to complete.

  - ### completeInstallError

    public void completeInstallError(String componentName, String errorMessage)
    Finishes the `installDeferredComponent` method channel call for the specified componentName with an error/failure.
    Parameters:
      `componentName` - The name of the android deferred component install request to complete.
      `errorMessage` - The error message to display to complete the future with.